所有api接口都需要鉴权规则,具体详情前往新平台鉴权规则查看

目录

报表

外呼号码接通率报表

接口说明

用于获取指定外显号码的外呼接通率统计报表 目前最大支持查询三个月 开始和结束时间指的是通话系统的呼叫开始时间 ( 请求到达asterisk后 asterisk发起呼叫的时间)

请求参数

字段名称 字段类型 是否必传 字段描述
startTime string 开始时间
endTime string 结束时间
numbers string[] 外显号码

请求示例

curl --location --request POST 'http://v7openapi.7moor.com/openapi/v1/call/query/displayNumber/answer/report' \
--header 'm7-appkey: 2000103' \
--header 'm7-nonce: 909455' \
--header 'm7-sign: Bxg/hPidTlWcK9JGHJiI6YCkOVQ0GEQSqx4FhI0Yfrw=' \
--header 'm7-timestamp: 1608719083769' \
--header 'content-type: application/json' \
--data-raw '{
    "startTime": "2020-09-25 20:32:03",
    "endTime": "2020-12-25 20:32:03",
    "numbers": ["01081401967"]
}'

返回结果

字段名称 字段类型 字段描述
number string 号码
sum number 外呼总数
answerSum number 接通数
answerPercentage string 接通率百分之 保留二位小数

返回示例

{
    "success": true,
    "code": "200",
    "message": "requestSuccess",
    "data": [
        {
            "number": "01081401967",
            "sum": 4,
            "answerSum": 0,
            "answerPercentage": "00.00%"
        }
    ],
    "requestInfo": {
        "requestId": "4ffa30d053d811eb98257f8df50a95dd",
        "url": "/openapi/v1/call/query/displayNumber/answer/report",
        "proxyUrl": "http://v7openapi.7moor.com/openapi/v1/call/query/displayNumber/answer/report",
        "body": {
            "startTime": "2020-09-25 20:32:03",
            "endTime": "2020-12-25 20:32:03",
            "numbers": [
                "01081401967"
            ]
        },
        "headers": {
            "host": "test2-v7openapi.7moor.com",
            "x-request-id": "ee337ce71d32c8b27f3109ddd4c4dd69",
            "x-real-ip": "111.202.78.82",
            "x-forwarded-for": "111.202.78.82",
            "x-forwarded-proto": "http",
            "x-forwarded-host": "test2-v7openapi.7moor.com",
            "x-forwarded-port": "80",
            "x-scheme": "http",
            "x-original-forwarded-for": "111.202.78.82",
            "content-length": "116",
            "x-stgw-time": "1610347408.476",
            "x-client-proto": "https",
            "x-client-proto-ver": "HTTP/1.1",
            "m7-appkey": "2000113",
            "m7-nonce": "333333",
            "m7-sign": "Bxg/hPidTlWcK9JGHJiI6YCkOVQ0GEQSqx4FhI0Yfrw=",
            "m7-timestamp": "1610347398",
            "content-type": "application/json",
            "user-agent": "PostmanRuntime/7.26.8",
            "accept": "*/*",
            "cache-control": "no-cache",
            "postman-token": "4f35ecfc-3e3b-4f69-ba22-d6f5e91e8a1e",
            "accept-encoding": "gzip, deflate, br",
            "traceId": "4ffa30d053d811eb98257f8df50a95dd",
            "accountId": "2000113"
        },
        "span": {
            "requestStartTime": 1610347408477,
            "proxyStartTime": 1610347408479,
            "proxyEndTime": 1610347408518,
            "reqEndTime": 1610347408518,
            "bizSpan": "39ms",
            "latency": "2ms"
        }
    }
}

接口限流说明

为防止接口调用请求过频带来的风险,接口请求具有限流机制 账户限流:20次/分